<?php

class bBlock_lien extends BackModule
{

    function update($formvars = array(), $table = null, $langue = true)
    {
        return parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $id = parent::create_multi($formvars, $table, $langue);

        return $id;
    }

    function duplicate($formvars = array(), $table = null, $langue = true)
    {

        $return = $this->create($formvars, $table, $langue);

        return $return;
    }

    function Form($formvars = array())
    {

        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'un nouveau Lien de Bloc</a></span>";
        } else {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id']))
                            . "'>Edition du Lien de Bloc</a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = "SELECT * 
                    FROM block_lien bl
                    LEFT JOIN block_lien_nom bln ON(bln.block_lien_id = bl.block_lien_id AND bln.langue_id = '" . LANGUE . "')
                    WHERE bl.block_lien_id = " . $formvars['id'];

            $this->request = $sql;
        }
        //-- SQL

        //GROUP
        $form = new BackForm("Informations principales", "group");
        $this->addForm($form);
        //--GROUP

        // Champs du formulaire
        $form = new BackForm("Block", "hidden", "block_id");
        $this->addForm($form);

        $form = new BackForm("Nom", "text", "block_lien_nom_nom");
        $form->setVar('translate', true);
        $form->addAttr('class', 'required');
        $this->addForm($form);

        $form = new BackForm("Lien", "text", "block_lien_nom_url");
        $form->setVar('translate', true);
        $form->addAttr('class', 'required');
        $this->addForm($form);

        $form = new BackForm("Rang", "text", "block_lien_rang");
        $form->addAttr('class', 'required');
        $this->addForm($form);

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        if (!isset($formvars['div'])) {
            $formvars['div'] = '';
        }

        return $this->displayForm($formvars['id'], $formvars['div']);
    }

    function Listing($formvars = array())
    {

        if (!empty($formvars['block'])) {
            $sql = " SELECT bl.block_lien_id, bl.block_lien_id";
            $sql .= ", bln.block_lien_nom_nom";
            $sql .= ", bln.block_lien_nom_url";
            $sql .= ", bl.block_lien_rang";
            $sql .= " FROM (block_lien bl)";
            $sql .= " LEFT JOIN block_lien_nom bln ON(bln.block_lien_id = bl.block_lien_id AND bln.langue_id = '" . LANGUE . "')";

            $sql .= " WHERE 1";

            $sql .= " AND bl.block_id = '" . $formvars['block'] . "'";
        } else {
            $sql = "";
        }

        $this->request = $sql;
        //-- SQL

        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("LIEN");
        $this->addLabel($label);

        $label = new BackLabel("RANG");
        $this->addLabel($label);
        //-- LABELS

        return $this->displayList($formvars['type']);
    }

    //--
}