<?php

/**
 */
final class SqlException extends LogicException
{
    public function __construct(
        string $query,
        string $message,
        int $code = 0,
        Throwable $previous = null
    ) {
        parent::__construct(
            sprintf("%s, query : %s", $message, $query),
            $code,
            $previous
        );
    }
}
