{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/password-->

    {* //PASSWORD - Header *}
    <div class="passwordHeader">
        <h1 class="titleLvl4">{txt value="Mon mot de passe" key="menu_compte_mon_mot_de_passe"}</h1>
    </div>
    {* PASSWORD - Header// *}

    {* //PASSWORD - Body *}
    <div class="passwordBody">
        {if !empty($error)}
            {include file="form/flash.tpl" class="error" messages=$error}
        {/if}
        {if !empty($success)}
            {include file="form/flash.tpl" class="success" messages=$success}
        {/if}
        <form class="formPassword" action="" method="post" autocomplete="off">
            <div class="formPasswordBody">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group wrapFloatLabel">
                            <input type="password" name="client_password_old" class="floatLabelInput" value="" id="current-password"/>
                            <label class="floatLabel" for="current-password">
                                <span class="floatLabelContent">{txt value="Mot de passe actuel"}*</span>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group wrapFloatLabel">
                            <input type="password" name="client_password" class="floatLabelInput" value="" id="new-password" />
                            <label class="floatLabel" for="new-password">
                                <span class="floatLabelContent">{txt value="Nouveau mot de passe"}*</span>
                            </label>
                        </div>
                    </div>
                    <div class="col-xs-12">
                        <div class="form-group wrapFloatLabel">
                            <input type="password" class="floatLabelInput" name="client_password_confirm" value="" id="confirm-new-password" />
                            <label class="floatLabel" for="confirm-new-password">
                                <span class="floatLabelContent">{txt value="Confirmation nouveau mot de passe"}*</span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="formPasswordFooter">
                <div class="row">
                    <div class="col-xs-12 col-sm-6">
                        <p class="formLegend">{txt value="* champs obligatoire"}</p>
                    </div>
                    <div class="col-xs-12 col-sm-6">
                        <button type="submit" class="btn btnMain wide">{txt value="Valider"}</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
    {* PASSWORD - Body// *}

{/block}

{block name="script-js"}

{/block}