{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/ba-->

    {* //VOUCHER - Header *}
    <div class="voucherHeader">
        <h1 class="titleLvl4">{txt value="Mes bons d'achat" key="menu_compte_mes_bons_achat"}</h1>
    </div>
    {* VOUCHER - Header// *}

    {* //VOUCHER - Body *}
    <div class="voucherBody">

        {*DETAIL STATUT*}
        <div class="historyOrderBlock detailed clearfix" id="commandes">
            {foreach $bon as $ba}
                <div class="historyRecapBlock">
                    <div class="row">
                        <div class="col-sm-8">
                            <p class="titleOrder">{$ba.bon_achat_nom}</p>
                            <p>{txt value="Date de création"} : {$ba.bon_achat_date_ajout|date_format:"%d/%m/%Y"}</p>
                            <p>{txt value="Date de validité"} : {$ba.bon_achat_date_limit|date_format:"%d/%m/%Y"}</p>
                            {if $ba.bon_achat_prix_min > 0}
                                <p>{txt value="Montant du panier minimum"} : {price ttc=$ba.bon_achat_prix_min}</p>
                            {/if}
                            <p class="price">{txt value="Valeur"} : {price ttc=$ba.bon_achat_prix}</p>
                        </div>
                        <div class="statut {if $ba.bon_achat_statut_id == 1}{else}waitingPayment{/if}">
                            <span class="historyListingStatutName">
                                {if $ba.bon_achat_statut_id == 1}
                                    {txt value="Valide"}
                                {else}
                                    {txt value="Utilisé"}
                                {/if}
                            </span>
                        </div>
                    </div>
                </div>
            {foreachelse}
                <div class="msginfo clearfix">
                    {txt value="Vous n'avez aucun bon d’achat."}
                </div>
            {/foreach}
        </div>
        {* //DETAIL STATUT*}

    </div>
    {* VOUCHER - Body// *}

{/block}

{block name="script-js"}

{/block}