<!-- product/panier.tpl -->

<div class="tableRow">
    <div class="col colDes8">
        <a href="{url page="produit" produit_nom=$produit.produit_nom_nom id=$produit.produit_id}">
            {image src=$produit.produit_image width=340 height=340 class="img-responsive"}
        </a>
        {*<img src="{$themeFolder}/images/productImage.png" width="140" height="187" class="img-responsive"/>*}
    </div>
    <div class="col colDes25">
        <div class="visible-xs wrapRight">
            {block name="delete"}
                <a href="#" data-delprod="{$produit.identifier}" class="delete"></a>
            {/block}
        </div>
        <p class="productBrand">{$produit.marque_nom}</p>
        <p class="productTitle">
            <a href="{url page="produit" produit_nom=$produit.produit_nom_nom id=$produit.produit_id}">
                {$produit.produit_nom_nom}
            </a>
        </p>
        {if !empty($produit.attrs)}
        <p style="padding-left: 10px;">
            {$produit.attrs.produit_option_valeur_nom}
        </p>
        {/if}
    </div>
    {*{if !empty($produit.promo)}*}
        <div class="col colDes16 hidden-xs">
            <div class="productPrice">
                <p class="current {if !empty($produit.promo)}promo{/if}">{price ttc=$produit.produit_prix_ttc ht=$produit.produit_prix_ht}</p>

                {if !empty($produit.promo)}
                    <p class="old">{price ttc=$produit.prix_ttc ht=$produit.prix_ht}</p>
                {/if}
            </div>
        </div>
    {*{/if}*}
    <div class="col colDes25 colQty">
        <div class="qty">
            <button class="qtyMinus">-</button>
            <input type="number" id="" name="" value="{$produit.quantite_order}" data-identifier="{$produit.identifier}">
            <button class="qtyPlus">+</button>
        </div>
    </div>
    <div class="col colDes16 visible-xs">&nbsp;</div>
    <div class="col colDes16">
        {*{block name="prix_total"}*}
            {*<p>{price ttc=$p.produit_total_ttc ht=$p.produit_total_ht tva=false notag=false decorate=true}</p>*}
        {*{/block}*}
        <div class="productPrice hidden-xs">
            <p class="current">{price ttc=$produit.produit_total_ttc ht=$produit.produit_total_ht}</p>
        </div>
        <div class="productPrice visible-xs">
            {if !(empty($produit.promo))}
                <p class="current promo">{price ttc=$produit.produit_prix_ttc ht=$produit.produit_prix_ht}</p>
                <p class="old">{price ttc=$produit.prix_ttc ht=$produit.prix_ht}</p>
            {else}
                <p class="current">{price ttc=$produit.produit_prix_ttc ht=$produit.produit_prix_ht}</p>
            {/if}
        </div>
    </div>
    <div class="col colDes10 wrapCenter hidden-xs">
        {block name="delete"}
            <a href="#" data-delprod="{$produit.identifier}" class="delete"></a>
        {/block}
    </div>
    <div class="clear"></div>
</div>